<template>
  <el-aside
    class="aside-container"
    width="200px"
    style="background-color: rgb(238, 241, 246)"
  >
    <jumpform :getFormData="getformdata"></jumpform>
  </el-aside>
</template>

<script>
import router from "@/router";
import { mapState } from "vuex";
import jumpform from "./jumpform.vue";
import { Message } from "element-ui";
export default {
  components: {
    jumpform,
  },
  data() {
    return {
      Formdata: "",
    };
  },
  methods: {
    async getformdata(formdata) {
      this.Formdata = formdata;
      let FormData = {};
      FormData["project_is_new"] = true;
      FormData["project_id"] = -1;
      FormData["project_name"] = this.Formdata["project_name"];
      FormData["project_info"] = this.Formdata["project_info"];
      console.log("this.LoginData", this.LoginData);
      FormData["project_user_id"] = this.LoginData["user_id"];
      console.log(FormData);
      await this.$store.dispatch("home/CreateProject", FormData);
      Message({
        message: "创建成功",
        type: "success",
      });
      this.$router.push({
        name: "network",
        query: {
          proj_id: this.cur_projectid,
        },
      });
    },
  },
  computed: {
    ...mapState("login", ["LoginData"]),
    ...mapState("home", ["cur_projectid"]),
  },
};
</script>

<style scoped>
.aside-container {
  height: 93.5vh;
  display: flex;
  justify-content: center;
}
.button_style {
  margin-top: 10px;
  height: 40px !important;
}
</style>